function dim=reg_dimR(a,L,Lnoisy,R,reg,sigma,d);
//////////////////////////
//compute the regression by hand or automatically.
//////////////////////////


[nargout,nargin] = argn();
narg=nargin;


if narg <7
  d = 1;
end


I=find(L>0);
if length(I)<2
  disp('Choose a wider range or more voices: could not make any regression.')
  dim=%nan;
  newhfig=handlefig;
  return;
end
la=log(a(I));
lL=log(L(I));


if sigma>0
  J=find((R(I)>0)&(R(I)<0.5));
  if length(J)<2
    warning('The regression is done in an area where the noise prevalence ratio is upper than 0.5 (log10(NPR) > -0.3)');
    J=[length(I)-1,length(I)];
    [a_hat,b_hat,y_hat]=monolr(la(J),lL(J),'ls');
    Kreg=J;
    dim=d-a_hat;
  else
    [a_hat,b_hat,y_hat]=monolr(la(J),lL(J),'ls');
    Kreg=J;
    dim=d-a_hat;
  end
else
  [a_hat,b_hat,y_hat]=monolr(la,lL,'ls');
  Kreg=[1:length(la)];
  dim=d-a_hat;
end


if reg
  if sigma>0
    J=find(R>0);
    win=newwin();
    xset("window",win);
    xbasc();
    xset("use color",1);
    xset("font",2,0);
    xsetech([0,0,1,0.5]);
    plot2d(log(a(J)),log10(R(J)),-1)
    xtitle('Noise Prevalence Ratio','Log(scale)','Log10(NPR)');
    xgrid();


  else
    win=newwin();
    xset("window",win);
    xbasc();
    xset("use color",1);
    xset("font",2,0);
    xsetech([0,0,1,0.5]);
    diffL=mtlb_diff(lL);
    diffa=mtlb_diff(la);
    newa=a(2:length(la));
    J=find(diffa);
    dLdarate=diffL(J)./diffa(J);
    newa=newa(J);
    plot2d(log(newa),dLdarate,-1);
    xtitle('Increments \Delta log(L)','Log(scale)');
    xgrid();
  end
  X=[min(la(Kreg)),max(la(Kreg))];
  while length(X)==2
    xsetech([0,0.5,1,0.5]);
    [rect,rect1]=xgetech();
    rtit=1/6;
    xclea(rect1(1),rect1(4)+ (rect1(4)-rect1(2))* rtit ...
        ,rect1(3)-rect1(1),(rect1(4)-rect1(2))* (1.0+rtit));
    if sigma>0
      J=find(R>0);
      plot2d(log(a(J)),log(Lnoisy(J)),-2)
      plot2d(la,lL,-1,"000");
    else
      plot2d(la,lL,-1)
    end
    xgrid();
    Kreg=find((la>=min(X))&(la<=max(X)));
    if length(Kreg)<2
      xtitle('Choose a wider regression range','Log(scale)','Log(L)')
    else
      [slope,ord,y_hat]=monolr(la(Kreg),lL(Kreg),'ls');
      plot2d(la(Kreg),y_hat,2,"000");
      dim=d-slope;
      xtitle(['Estimated Regularization Dimension = ',string(dim)],'Log(scale)','Log(L)');
    end
    X=input("Enter the regression range maximum amin,amax or nothing to stop");
  end
end




