.TH " bbch" 2 " March 10, 1998" "Fractales Group" "Scilab Function"

.SH NAME
 bbch -  beneath-beyond concave hull
.sp
Author: Christophe Canus
.sp
This C_LAB routine determines the concave hull of a function graph using the beneath-beyond algorithm.
.sp
.sp
.SH Usage
.nf
[rx,ru_x]=bbch(x,u_x)
.fi
.SH Input parameters


.RS

.TP
o 
\fBx\fP : real vector [1,N] or
[N,1] 
Contains the abscissa.

.TP
o 
\fBu_x\fP : real vector [1,N] or
[N,1] 
Contains the function to be regularized.
.RE

.SH Output parameters


.RS

.TP
o 
\fBrx\fP : real vector [1,M] 
Contains the abscissa of the regularized function.

.TP
o 
\fBru_x\fP : real vector [1,M] 
Contains the regularized function.
.RE

.SH Description
.SH Parameters 
The abscissa \fIx\fP and the function \fIu_x\fP  to be regularized must
be of the same size [1,N] or [N,1].
The abscissa \fIrx\fP and the concave regularized function \fIru_x\fP
are of the same size [1,M] with \fIM\fP<=\fP\fIN\fP. 
.SH Algorithm details
Standard beneath-beyond algorithm.
.SH Examples
.nf
h=.3;beta=3;
N=1000;
// chirp singularity (h,beta)
x=linspace(0.,1.,N);
u_x=abs(x).^h.*sin(abs(x).^(-beta));
plot2d(x,u_x);
[rx,ru_x]=bbch(x,u_x);
plot2d(rx,ru_x,style=5);
plot2d(x,abs(x).^h,style=3);
.fi 
.SH References
None.SH See Also
\fBlinearlt\fP (C_LAB routine).
