.TH "findWTLM" 2 " June 6th 1997" "Fractales Group" "Scilab Function"

.SH NAME
findWTLM -  Finds local maxima lines of a CWT
.sp
Author: Paulo Goncalves
.sp
Finds the local maxima of a continuous wavelet transform
.sp
.sp
.SH Usage
.nf
[maxmap] = findWTLM(wt,scale[,depth])
.fi 
.SH Input parameters


.RS

.TP
o 
\fBwt\fP : Complex matrix  [N_scale,N] 
Wavelet coefficients of a continuous wavelet transform (output of \fIFWT\fP or \fIcontwt\fP)

.TP
o 
\fBscale\fP : real vector  [1,N_scale]
Analyzed scale vector

.TP
o 
\fBdepth\fP : real in [0,1] 
maximum relative depth for the peaks search.
Default value is 1 (all peaks found)
.RE

.SH Output parameters


.RS

.TP
o 
\fBmaxmap\fP : 0/1 matrix  [N_scale,N]
If \fImaxmap\fP(m,n) = 0 : the coefficient \fIwt\fP(m,n) is not a local maximum 
If \fImaxmap\fP(m,n) = 1 : the coefficient \fIwt\fP(m,n) is a local maximum 
.RE

.SH See also:
contwt, cwt
.SH Example:
.nf
N = 2048 ; H = 0.3 ; Q = linspace(-4,4,11) ;
[x] = fbmlevinson(N,H) ;
[wt,scale] = cwt(x,2^(-6),2^(-1),36,0) ;
[maxmap] = findWTLM(wt,scale) ;
.fi

