.TH " linearlt" 2 " March 10, 1998" "Fractales Group" "Scilab Function"

.SH NAME
 linearlt -  linear time legendre transform
.sp
Author: Christophe Canus
.sp
This C_LAB routine the Legendre transform of a function using the linear time Legendre transform algorithm.
.sp
.sp
.SH Usage
.nf
[s,u_star_s]=linearlt(x,u_x)
.fi
.SH Input parameters


.RS

.TP
o 
\fBx\fP : real vector [1,N] or
[N,1] 
Contains the abscissa.

.TP
o 
\fBy\fP : real vector [1,N] or
[N,1] 
Contains the function to be transformed.
.RE

.SH Output parameters


.RS

.TP
o 
\fBs\fP : real vector [1,M] 
Contains the abscissa of the regularized function.

.TP
o 
\fBu_star_s\fP : real vector [1,M] 
Contains the Legendre conjugate function.
.RE

.SH Description
.SH Parameters 
The abscissa \fIx\fP and the function \fIu_x\fP  to be transformed must
be of the same size [1,N] or [N,1].
The abscissa \fIs\fP and the Legendre conjugate function \fIu_star_s\fP
are of the same size [1,M] with \fIM\fP<=\fP\fIN\fP. 
.SH Algorithm details
The linear time Legendre transform algorithm is based on  the use of a
concave regularization before slopes' computation.
.SH Examples

.nf
x=linspace(-5.,5.,1024);
u_x=-1+log(6+x);
plot2d(x,u_x);
//looks like a Reyni exponents function, isn't it ?
[s,u_star_s]=linearlt(x,u_x);
plot2d(s,u_star_s); 
.fi 
.SH References
None.
.SH See Also
\fBbbch\fP (C_LAB routine).
