.TH "oscillsing" 2 " June 6th 1997" "Fractales Group" "Scilab Function"

.SH NAME
oscillsing - Oscillating Singularity synthesis
.sp
Author: Paulo Goncalves 
.sp
Generates oscillating singularities located in the interval [0 .. 1]
.sp
.sp
.SH Usage
.nf
[x,Fj,Fs] = oscillsing(alpha,beta,sing_pos,N,show) ;
.fi
.SH Input parameters


.RS

.TP
o 
\fB alpha \fP : Real positive vector [1,n_sing] or [n_sing,1] 
Holder strenghts of the singularities

.TP
o 
\fB beta \fP : Real positive vector [1,n_sing] or [n_sing,1] 
Chirp exponents of the singularities

.TP
o 
\fB sing_pos \fP : Real vector [1,n_sing] or [n_sing,1] 
Location of the singularities in the interval  [0 .. 1]

.TP
o 
\fB N \fP : Integer
Sample size for the synthesized signal

.TP
o 
\fB show \fP : flag 0/1
\fI flag \fP = 0 : no display  
\fI flag \fP = 1 : displays the instantaneous frequencies and the
synthesized signal
.RE

.SH Output parameters


.RS

.TP
o 
\fB x \fP : real vector  [1,N] 
Time samples of the synthesized signal

.TP
o 
\fB Fj \fP : real matrix [N,n_sing] 
instantaneous frequencies (each column of \fIFj\fP contains the
frequency chirp of each singularity)

.TP
o 
\fB Fs \fP : real 
sampling frequency
.RE

.SH See also:
.SH Example:
.nf
[x,Fj,Fs] = oscillsing([1/2 1 2],[1 2 4],[-0.5 0 0.5],256,1) ;
.fi
