.TH "synth2" 2 " February 20th 1998" "Fractales Group" "Scilab Function"

.SH NAME
synth2 - Stationary Increments 2D Process
.sp
Author: B. Pesquet-Popescu (ENS-Cachan)
.sp
Incremental Fourier synthesis method for processes with stationary increments of order (0,1) and (1,0)
.sp
.sp
.SH Usage
.nf
[B] = synth2(M,H,core)
.fi 
.sp
.SH Input parameters


.RS

.TP
o 
\fB M \fP : Positive integer 
Vertical/Horizontal dimension of the generated field

.TP
o 
\fB H \fP : Real in [0,1]
parameter of the structure function (e.g. : Hurst parameter)

.TP
o 
\fB core \fP : string
Name of the structure function of type core(x,y,H)\fP with x\fP,y\fP :
vertical/horizontal coordinates
.RE

.SH Output parameters


.RS

.TP
o 
\fB B \fP : real matrix  [N,N] 
Synthesized random field
.RE

.SH References
\fBL.M. Kaplan, C.C. J Kuo\fP : IEEE Tran. on IP, May 1996 (extended version).
.SH See also:
fbmlevinson, fbmcwt, fbmfwt, mbmlevinson
.SH Example:
.nf
[B] = synth2(128,0.8,'strfbm') ;
viewmat(B) 
.fi
