/* Library to add C-Functions to Scilab And/Or Matlab */
/* Bertrand Guiheneuf 1996 */

#ifndef INCLUDE_CSCIINTERF
#define INCLUDE_CSCIINTERF

#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#ifndef MAX
#define MAX(a,b) (a > b ? a : b)
#endif

#ifndef MIN
#define MIN(a,b) (a < b ? a : b)
#endif

#include <machine.h>
#include <stack-def.h>

#ifndef integer
#define integer int
#endif

/* types definition */ 
typedef double Matrix; 

struct {
  int NbParamIn;
  int NbParamOut;
  int ReturnCounter;
  int FuncIndex;
  int ReturnIndex;
  char Retour[1000];
  int Err1;
  Matrix **Param;
  Matrix **Return;
} Interf;

/****************************************** P R O T O T Y P E S *************************************/


void InterfError _PARAMS((char *mesg));
extern int MatrixMemSize _PARAMS((Matrix *m));
extern Matrix *MatrixCreate _PARAMS((int h, int w, char *type));
extern int MatrixIsNumeric _PARAMS((Matrix *m));
extern int MatrixIsReal _PARAMS((Matrix *m));
extern int MatrixIsComplex _PARAMS((Matrix *m));
extern int MatrixIsScalar _PARAMS((Matrix *m));
extern int MatrixIsList _PARAMS((Matrix *m));
extern Matrix *MatrixCreateString _PARAMS((char *s));
extern char *MatrixReadString _PARAMS((Matrix *m));
extern Matrix *ListCreate _PARAMS((void));
extern Matrix *AppendList _PARAMS((Matrix *list, Matrix *object));
extern int ListGetSize _PARAMS((Matrix *l));
extern Matrix *ListGetCell _PARAMS((int n, Matrix *l));
extern void MatrixFree _PARAMS((Matrix *m));
extern double *MatrixGetPr _PARAMS((Matrix *m));
extern double *MatrixGetPi _PARAMS((Matrix *m));
extern int MatrixGetWidth _PARAMS((Matrix *m));
extern int MatrixGetHeight _PARAMS((Matrix *m));
extern double MatrixGetScalar _PARAMS((Matrix *m));
extern void MatrixTranspose _PARAMS((Matrix *m));
extern void MatrixCopy _PARAMS((Matrix *m_source, Matrix *m_dest));
extern void ReturnParam _PARAMS((Matrix *m));
extern void InterfInit _PARAMS((void));
extern void InterfDone _PARAMS((void));
extern int MatrixIsString _PARAMS((Matrix *m));
extern void InterfError   _PARAMS((    char *mesg));
#endif /*INCLUDE_CSCIINTERF*/ 
