function dim=regdim(x,sigma,voices,Nmin,Nmax,kernelReg,mirror,reg,graphs)


// This Software is ( Copyright INRIA . 1998  1 )
//
// INRIA  holds all the ownership rights on the Software.
// The scientific community is asked to use the SOFTWARE
// in order to test and evaluate it.
//
// INRIA freely grants the right to use modify the Software,
// integrate it in another Software.
// Any use or reproduction of this Software to obtain profit or
// for commercial ends being subject to obtaining the prior express
// authorization of INRIA.
//
// INRIA authorizes any reproduction of this Software.
//
//    - in limits defined in clauses 9 and 10 of the Berne
//    agreement for the protection of literary and artistic works
//    respectively specify in their paragraphs 2 and 3 authorizing
//    only the reproduction and quoting of works on the condition
//    that :
//
//    - "this reproduction does not adversely affect the normal
//    exploitation of the work or cause any unjustified prejudice
//    to the legitimate interests of the author".
//
//    - that the quotations given by way of illustration and/or
//    tuition conform to the proper uses and that it mentions
//    the source and name of the author if this name features
//    in the source",
//
//    - under the condition that this file is included with
//    any reproduction.
//
// Any commercial use made without obtaining the prior express
// agreement of INRIA would therefore constitute a fraudulent
// imitation.
//
// The Software beeing currently developed, INRIA is assuming no
// liability, and should not be responsible, in any manner or any
// case, for any direct or indirect dammages sustained by the user.
//
// Any user of the software shall notify at INRIA any comments
// concerning the use of the Sofware (e-mail : FracLab@inria.fr)
//
// This file is part of FracLab, a Fractal Analysis Software






[nargout,nargin] = argn();
narg=nargin;


if narg <9
graphs = 0;
end
if narg <8
  reg = 0;
end
if narg <7
  mirror = 0;
end
if narg <6
  kernelReg = 'gauss';
end
if min(size(x))>1
  N=min(size(x));
  if narg <4
    Nmin= 5;
  end
  if narg <3
    voices= 16;
  end
  if narg <5
    Nmax= min(max(floor(N/3),Nmin+voices+1),N-1);
  end
  if narg <2
    sigma= 0;
  end
  dim=dimR2d(x,sigma,voices,Nmin,Nmax,kernelReg,mirror,reg);
  return
end


N=length(x);


if narg <4
  Nmin= 5;
end
if narg <3
  voices= 128;
end
if narg <5
  Nmax= min(max(floor(N/2),Nmin+voices+1),N-1);
end
if narg <2
  sigma= 0;
end


if size(x,2)==1
  x=x';
end


if mirror
  x=[mtlb_fliplr(x),x,mtlb_fliplr(x)];
  mirror=1;
end


jmax=voices;
iv=round(logspace(log10(Nmin),log10(Nmax),jmax));
imax=round(max(iv));
K=find(mtlb_diff(iv));
iv=[iv(K),imax];
jmax=length(iv);


////////////////////////////////////
//a:scale
//////////////////////////////////
a=[];
L=[];
Lnoisy=[];
R=[];
//////////////////////////////////////////////////////////////////////////
//Plot regularized graphs if wanted ////
//////////////////////////////////////////////////////////////////////////


if graphs
  z=[];
  for j=1:jmax
    execstr(('[z1,aa]='+ kernelReg+ 'conv(x,iv(j));'));
    a(j)=aa;
    z1=z1(floor(iv(j)/2)+1+mirror*N:N+floor(iv(j)/2)+mirror*N);
    z=[z;z1];
  end
  win=newwin();
  xset("window",win);
  xbasc();
  xset("use color",1);
  xset("font",2,0);
  m=min(jmax+1,254);
  n = fix(3/8*m);
  r = [(1:n)'/n; ones(m-n,1)];
  g = [zeros(n,1); (1:n)'/n; ones(m-2*n,1)];
  b = [zeros(2*n,1); (1:m-2*n)'/(m-2*n)];
  h = [r g b];
  xset('colormap',h);
  xsetech([0,0,0.85,1.0]);
  plot2d(z');
  xsetech([0.85,0,0.15,1.0]);
  tt=[zeros(1,jmax);ones(1,jmax)];
  aa=[a,a]';
  rect=[0,min(log(a)),1,max(log(a))];
  tics=[0,0,5,5];
  plotframe(rect,tics);
  plot2d(tt,log(aa),[1:jmax],'000');
  xtitle('Scale colors','','log(scale)');
end


for j=1:jmax
  i=round(iv(j));
  execstr(('[z1prim,aa]='+ kernelReg+ 'primconv(x,iv(j));'));
  a(j)=aa;
  z1prim=z1prim(i+1+mirror*(N-floor(iv(j)/2)):N+mirror*(N+i-floor(iv(j)/2)));
  dl=abs(z1prim);
  if isempty(dl)
    break;
  end
  if sigma>0
    Lnoisy(j)=mean(dl);
    //////////////////////////
    // signal/noise component rate
    ////////////////////////
    s=sigma/sqrt(sqrt(2*%pi)*a(j)^3);
    dln=2*s/sqrt(%pi).*exp(-(dl.^2)./s^2);
    dlsb=dl-dln;
    R(j)=mean(dln)/Lnoisy(j);
    //////////////////
    //Corrected unbiased lengths
    //////////////////
    c=ones(1,i)./i;
    dlsbm=convol(c,dlsb);
    dlsbm=dlsbm(floor(i/2)+1:floor(i/2)+length(dlsb));
    dlsbc=s*sqrt(2)*invfonc(dlsbm./(s*sqrt(2)));
    L(j)=mean(dlsbc);
  else
    L(j)=mean(dl)+N^(-2);
  end
end


dim=reg_dimR(a,L,Lnoisy,R,reg,sigma);






