/* This Software is ( Copyright INRIA . 1998  1 )                    */
/*                                                                   */
/* INRIA  holds all the ownership rights on the Software.            */
/* The scientific community is asked to use the SOFTWARE             */
/* in order to test and evaluate it.                                 */
/*                                                                   */
/* INRIA freely grants the right to use modify the Software,         */
/* integrate it in another Software.                                 */
/* Any use or reproduction of this Software to obtain profit or      */
/* for commercial ends being subject to obtaining the prior express  */
/* authorization of INRIA.                                           */
/*                                                                   */
/* INRIA authorizes any reproduction of this Software.               */
/*                                                                   */
/*    - in limits defined in clauses 9 and 10 of the Berne           */
/*    agreement for the protection of literary and artistic works    */
/*    respectively specify in their paragraphs 2 and 3 authorizing   */
/*    only the reproduction and quoting of works on the condition    */
/*    that :                                                         */
/*                                                                   */
/*    - "this reproduction does not adversely affect the normal      */
/*    exploitation of the work or cause any unjustified prejudice    */
/*    to the legitimate interests of the author".                    */
/*                                                                   */
/*    - that the quotations given by way of illustration and/or      */
/*    tuition conform to the proper uses and that it mentions        */
/*    the source and name of the author if this name features        */
/*    in the source",                                                */
/*                                                                   */
/*    - under the condition that this file is included with          */
/*    any reproduction.                                              */
/*                                                                   */
/* Any commercial use made without obtaining the prior express       */
/* agreement of INRIA would therefore constitute a fraudulent        */
/* imitation.                                                        */
/*                                                                   */
/* The Software beeing currently developed, INRIA is assuming no     */
/* liability, and should not be responsible, in any manner or any    */
/* case, for any direct or indirect dammages sustained by the user.  */
/*                                                                   */
/* Any user of the software shall notify at INRIA any comments       */
/* concerning the use of the Sofware (e-mail : FracLab@inria.fr)     */
/*                                                                   */
/* This file is part of FracLab, a Fractal Analysis Software         */

typedef struct noeud {
	int level ;
	int rang ;
	double coef;
	struct noeud *pere ;
	struct noeud *filsG;
	struct noeud *filsD;
}NOEUD;


double signe _PARAMS((double x));
int treated _PARAMS((double c, double cmin, double cmax));
int non_vide _PARAMS((NOEUD *node));
NOEUD *allouer_noeud _PARAMS((NOEUD *pere));
NOEUD *create_tree _PARAMS((NOEUD *pr, int i, int j, int J, double *Ci));
void change_coefs _PARAMS((NOEUD *node, double *Ci, double *L0, double *L1, int j0, int j, double a, double b, int *COUNT));
void error_coefs _PARAMS((NOEUD *node, double *L0, double *L1, int j0, int j, double *errG, double *errD, double a, double b));
void decoup_arbre _PARAMS((NOEUD *node, int J, int j0, double seuil, double *Ci, double *Si, double a, double b, double *L0, double *L1, int *compteur, double *marks, double *lambda, int *size, int *COUNT));
void construire_signal _PARAMS((NOEUD *node, int J, int *compteur, double *Extremity));
int tree_left_extremity _PARAMS((int j));
void tree_free _PARAMS((NOEUD *node));
void tree_print _PARAMS((NOEUD *node));
void lambdai_compute _PARAMS((NOEUD *node, int J, int j0, double *Ci, double *Si, double a, double b, double *L0, double *L1));
void lambdais _PARAMS((NOEUD *node, double *Ci, int J, double a, double b, double *Res, int *p));




